> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extract.page/llms.txt
> Use this file to discover all available pages before exploring further.

# Get File Endpoint



## OpenAPI

````yaml /openapi.json get /v1/files/{file_id}
openapi: 3.1.0
info:
  title: extract
  summary: Parse documents into structured data. Text, tables, and figures in one call.
  version: 0.1.0
servers:
  - url: https://api.extract.page
    description: production
security:
  - APIKeyHeader: []
paths:
  /v1/files/{file_id}:
    get:
      tags:
        - v1
        - async-batch
      summary: Get File Endpoint
      operationId: get_file_v1
      parameters:
        - name: file_id
          in: path
          required: true
          schema:
            type: string
            title: File Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FileResource'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    FileResource:
      properties:
        object:
          type: string
          title: Object
          default: file
        id:
          type: string
          title: Id
        customer_id:
          type: string
          title: Customer Id
        status:
          type: string
          title: Status
        filename:
          anyOf:
            - type: string
            - type: 'null'
          title: Filename
        content_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Content Type
        size_bytes:
          type: integer
          title: Size Bytes
        sha256:
          anyOf:
            - type: string
            - type: 'null'
          title: Sha256
        created_at:
          type: string
          title: Created At
        expires_at:
          type: string
          title: Expires At
      type: object
      required:
        - id
        - customer_id
        - status
        - size_bytes
        - created_at
        - expires_at
      title: FileResource
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY

````